package com.ruoyi.web.project.mapper;

import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface WxProjectInfoMapper {

    //查询组织架构下一层级
    List<Map<String, Object>> getDeptSubordinate(Map<String,Object> map);
    //查询区级层级
    List<Map<String, Object>> getQUDeptSubordinate(Map<String,Object> map);
    //根据所选层级或者公司查询登录用户的项目
    List<Map<String,Object>> getProjectByDeptIdAndCompanyId(Map<String,Object> map);
    /**
      * Methods
      * @describe 描述：查询项目的概况信息
      * @author 作者：Makalu
      * @date 时间：2020/7/7 16:21
      * @version 版本： V1.0
      * @param id：String
      * @return 返回值：map
      * @throws Exception 异常：none
      */
    public Map<String, Object> selectProjectOverview(String id);

    /**
     * 获取建设单位
     * @param projectId
     * @return
     */
    List<Map<String,Object>> getProjectUnitList(String projectId);

    /**
     * 查询子公司信息
     * @param map
     * @return
     */
    List<Map<String,Object>>  getZGSDeptInfoByMap(Map<String,Object> map);

    /**
     * 根据项目查询单位信息
     * @param projectId
     * @return
     */
    Map<String,Object> selectDeptByProjectId(Long projectId);

    /**
     * 根据登录用户查询单位信息
     * @param userName
     * @return
     */
    Map<String,Object> selectDeptByUserName(String userName);

}
